<div class="header-section">
    <h3>{{mode === 'CREATE' ? 'Create Event' : 'Edit Event'}}</h3>
    <button mat-icon-button (click)="closeCreateEventModal()">
        <mat-icon>close</mat-icon>
    </button>
</div>

<div class="body-section">
    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Event Code</mat-label>
            <input matInput placeholder="Event Code">
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>Event Description</mat-label>
            <input matInput placeholder="Event Description">
        </mat-form-field>
    </div>
    <div class="full-width-field">
        <mat-form-field appearance="outline">
            <mat-label>Event Details</mat-label>
            <textarea matInput placeholder="Event Details" rows="4"></textarea>
        </mat-form-field>
    </div>

    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Event Starting Date</mat-label>
            <input matInput [matDatepicker]="startDate" placeholder="Event Starting Date">
            <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
            <mat-datepicker #startDate></mat-datepicker>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>Event Ending Date</mat-label>
            <input matInput [matDatepicker]="dueDate" placeholder="Event Ending Date">
            <mat-datepicker-toggle matSuffix [for]="dueDate"></mat-datepicker-toggle>
            <mat-datepicker #dueDate></mat-datepicker>
        </mat-form-field>
    </div>
</div>

<div class="action-section">
    <button mat-raised-button *ngIf="mode === 'CREATE'">Clear</button>
    <button mat-raised-button color="warn">{{mode === 'CREATE' ? 'Create Event':'Update Event'}}</button>
</div>